uuid: 3bb1d070-31fa-4a2f-950e-785e2530a92f
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_pathauto_patterns
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: 'Pathauto patterns'
source:
  plugin: pathauto_pattern
  constants:
    status: true
    selection_logic: and
process:
  status:
    -
      plugin: get
      source: constants/status
  id:
    -
      plugin: get
      source: id
  label:
    -
      plugin: get
      source: label
  type:
    -
      plugin: get
      source: type
  pattern:
    -
      plugin: get
      source: pattern
  selection_criteria:
    -
      plugin: get
      source: selection_criteria
  selection_logic:
    -
      plugin: get
      source: constants/selection_logic
destination:
  plugin: 'entity:pathauto_pattern'
migration_dependencies:
  optional:
    - upgrade_d7_node_type
  required: {  }
